timo.dtimo.d MemberComments: 5 Received thanks: 0 Member since: November 2015 edited November 2015
Hallo zusammen,

ich habe Shopware 5.1.1 installiert und würde gerne das Abo-Commerce Plugin testen.

Ich habe es wie gewohnt über den Plugin Manager geladen und es wird unter "Deinstalliert" aufgeführt.

Wenn ich nun auf installieren klicke, kommt ein Popup in dem steht "Plugin wird installiert" oder so ähnlich.
Danach schließt sich das Popup wieder und es bleibt alles beim alten :(

Ich kann das Plugin also nicht aktivieren.

Hat jemand eine Idee woran das liegen könnte?

Comments

  • Moritz NaczenskiMoritz Naczenski AdministratorsComments: 8358 Received thanks: 2481 Member since: September 2013
    Hallo,

    du müsstest dir mal mit einem Debugtool (bspw. Firebug oder der Entwicklerkonsole in Chrome) anschauen ob der Install-Request einen Fehler zurückliefert. Das sieht man in diesem Fall nur in der Antwort auf den Request. Dann kann man mehr zum Fehler sagen.

    Moritz
    Thanked by 1timo.d
  • timo.dtimo.d MemberComments: 5 Received thanks: 0 Member since: November 2015
    Hallo Moritz,

    vielen Dank für deinen Hinweis. Ich habe leider nicht viel Ahnung davon, aber habe mal es mal mit Firebug versucht.

    ich bekomme beim Installationsversuch folgenden Eintrag:
    Post: http://unguisarts.com/backend/PluginInstaller/installPlugin 200 Ok 3.1s
    
    Ext.Error: You're trying to decode an invalid JSON String: <br />
    <b>Fatal error</b>:  Cannot use Shopware\Models\Newsletter\Newsletter as Newsletter because the name is already in use in <b>/var/www/vhosts/s15501355.onlinehome-server.info/unguisarts.com/engine/Shopware/Plugins/Community/Backend/SwagNewsletter/Models/SwagNewsletter/Data.php</b> on line <b>37</b><br />
    
    Kann es sein, dass das Problem am Newsletter Plugin liegt?

    Viele Grüße Timo
  • EikeWarnekeEikeWarneke ModeratorComments: 2863 Received thanks: 640 Member since: June 2013
    Hast du die aktuellste Version des Newsletter Plugins?! Da gab es in einer Vorgänger-Version Probleme.

    Viele Grüße
    Thanked by 1timo.d
  • timo.dtimo.d MemberComments: 5 Received thanks: 0 Member since: November 2015
    Hallo,

    es scheint tatsächlich an der älteren Newsletter Version gelegen zu haben.
    Nach der aktualisierung, ließ sich auch das ABO-Commerce Plugin problemlos installieren.

    Vielen Dank!
Sign In or Register to comment.